Nonstick Pancake Maker

    events-es6

    1.1.1 • Public • Published

    events Build Status

    Node's event emitter for all engines. Modified to include an ES6 version.

    Breaking Changes

    ES6 modules do not let you export an object as the module. Thus, the following will not work if you are using the non-ES6 version:

    var EventEmitter = require('events');
    var emitter = new EventEmitter();

    Instead, do the following:

    var EventEmitter = require('events').EventEmitter;
    var emitter = new EventEmitter();

    Install

    npm install events
    

    Require

    var EventEmitter = require('events').EventEmitter

    Usage

    See the node.js event emitter docs

    Install

    npm i events-es6

    DownloadsWeekly Downloads

    2

    Version

    1.1.1

    License

    MIT

    Last publish

    Collaborators

    • jvilk